aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/run.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/run.sh')
-rwxr-xr-x.travis/run.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/.travis/run.sh b/.travis/run.sh
new file mode 100755
index 00000000..6739c886
--- /dev/null
+++ b/.travis/run.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+set -x
+
+if [[ "$(uname -s)" == "Darwin" ]]; then
+ eval "$(pyenv init -)"
+ if [[ "${OPENSSL}" != "0.9.8" ]]; then
+ # so set our flags to use homebrew openssl
+ export ARCHFLAGS="-arch x86_64"
+ export LDFLAGS="-L/usr/local/opt/openssl/lib"
+ export CFLAGS="-I/usr/local/opt/openssl/include"
+ # The Travis OS X jobs are run for two versions
+ # of OpenSSL, but we only need to run the
+ # CommonCrypto backend tests once. Exclude
+ # CommonCrypto when we test against brew OpenSSL
+ export TOX_FLAGS="--backend=openssl"
+ fi
+fi
+source ~/.venv/bin/activate
+tox -e $TOX_ENV -- $TOX_FLAGS